# as well the corresponding patches, if needed.
ABIWORD="abiword-2.8.6"
+ACPID="acpid-2.0.9"
AGG="agg-2.5"
ALSA_LIB="alsa-lib-1.0.21"
ALSA_PLUGINS="alsa-plugins-1.0.21"
--- /dev/null
+#!/bin/sh
+
+# acpid
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+DAEMON=acpid
+DAEMON_DESC="ACPI"
+DAEMON_OPTS="--netlink --logevents"
+
+log_script_name "$0 $*"
+
+case "$1" in
+ start)
+ cmd_run_log_box_warn "${DAEMON_DESC} daemon start" loadproc /usr/sbin/${DAEMON} ${DAEMON_OPTS}
+ ;;
+
+ stop)
+ cmd_run_log_box_warn "${DAEMON_DESC} daemon stop" killproc ${DAEMON}
+ ;;
+
+ status)
+ statusproc ${DAEMON}
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: $0 {restart|start|status|stop}"
+ exit ${EXIT_CODE_FAILURE}
+ ;;
+esac
+
+exit $?
fi
ipkg ${NANO}
+ipkg -m noac ${ACPID}
rscr once "Installing HV-utilities" install-hv-utilities
rscr once "Installing bootscripts" install-bootscripts
--- /dev/null
+#!/bin/sh
+
+# discover video card's ID
+ID=`lspci | grep VGA | awk '{ print $1 }' | sed -e 's@0000:@@' -e 's@:@/@'`
+
+# securely create a temporary file
+TMP_FILE=`mktemp /var/tmp/video_state.XXXXXX`
+trap 'rm -f $TMP_FILE' 0 1 15
+
+# write all unwritten data (just in case)
+sync
+
+# dump current data from the video card to the
+# temporary file
+cat /proc/bus/pci/$ID > $TMP_FILE
+
+# Stopping network.
+# Sony VAIO PCG-Z505RX and PCMCIA Linksys wifi card
+/etc/rc.d/init.d/network stop
+
+echo "Entering suspend mode"
+
+# suspend
+echo -n mem > /sys/power/state
+
+echo "Resuming"
+
+# restore video card data from the temporary file
+# on resume
+cat $TMP_FILE > /proc/bus/pci/$ID
+
+/etc/rc.d/init.d/network start
+
+# remove temporary file
+rm -f $TMP_FILE
fpkg -e "tar.gz" ${GRUB} "ftp://alpha.gnu.org/gnu/grub"
fpkg -e "tar.gz" ${DHCP} "ftp://ftp.isc.org/isc/dhcp/dhcp-3.0-history"
-exit $?
+fpkg -e "tar.gz" ${ACPID} "http://www.tedfelix.com/linux"
+exit $?
--- /dev/null
+#!/bin/bash
+
+hvbuild_post()
+{
+ install -d -m755 /etc/acpi/events
+
+ cat > /etc/acpi/events/s2ram << EOF
+# When a button/power event is received, the hvs2ram script is run.
+
+event=button/power
+action=/usr/local/bin/hvs2ram
+EOF
+
+ install -m755 ${SCRDIR}/misc/hvs2ram /usr/local/bin
+
+ install -v -m740 ${SCRDIR}/bootscripts/acpid /etc/rc.d/init.d
+ bootscript_add_rcsysinit acpid 65 90
+}